/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.field;

import java.util.ArrayList;
import java.util.List;
import nl.cloudfarming.client.field.model.FieldProvider;
import nl.cloudfarming.client.field.model.FieldService;
import org.openide.util.lookup.ServiceProvider;

/**
 *
 * @author Gerben Feenstra & Merijn Zengers
 */
@ServiceProvider(service = FieldService.class)
public class FieldServiceImpl implements FieldService{

    private List<FieldProvider> fieldProviders = new ArrayList<>();
    
    @Override
    public void register(FieldProvider fieldProvider) {
        fieldProviders.add(fieldProvider);
    }

    @Override
    public void unregister(FieldProvider fieldProvider) {
        fieldProviders.remove(fieldProvider);
    }
        
    @Override
    public List<FieldProvider> getFieldProviders() {
        return fieldProviders;
    }
}
