/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.field.wizard;

import java.awt.Component;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.event.ChangeListener;
import net.miginfocom.swing.MigLayout;
import org.openide.WizardDescriptor;
import org.openide.util.HelpCtx;
import org.openide.util.NbBundle.Messages;

/**
 * Panel is used by the wizard as a stub panel for the second step.
 * This panel will be visible if unable to find a suitable panel to
 * preview the selected geometrical file from step 1.
 * 
 * @author Gerben Feenstra
 */
@Messages({
    "Import.geometrical.wizard.panel.geo_import_not_supported.message=The selected file is not a shapefile, or not in a supported format."
})
class GeoImportStubControllerPanel implements WizardDescriptor.Panel {

    @Override
    public Component getComponent() {
        JPanel dummyPanel = new JPanel(new MigLayout());
        dummyPanel.add(new JLabel(Bundle.Import_geometrical_wizard_panel_geo_import_not_supported_message()));
        return dummyPanel;
    }

    @Override
    public HelpCtx getHelp() {
        return null;
    }

    @Override
    public void readSettings(Object settings) {
    }

    @Override
    public void storeSettings(Object settings) {
    }

    @Override
    public boolean isValid() {
        return false;
    }

    @Override
    public void addChangeListener(ChangeListener l) {
    }

    @Override
    public void removeChangeListener(ChangeListener l) {
    }

}
