/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.field.wizard;

import java.awt.Component;
import javax.swing.event.ChangeListener;
import nl.cloudfarming.client.field.model.FieldService;
import org.openide.WizardDescriptor;
import org.openide.util.HelpCtx;
import org.openide.util.Lookup;

/**
 *
 * @author Gerben Feenstra
 */
public class SaveImportController implements WizardDescriptor.Panel {
    
    private SaveImportPanel saveImportPanel;
    private WizardDescriptor descriptor; 
    public static final String PROP_SELECTED_FIELDPROVIDER = "selectedFieldProvider";
    
    public SaveImportController(WizardDescriptor descriptor) {
        this.descriptor = descriptor;
    }

    @Override
    public Component getComponent() {
        if (saveImportPanel == null) {
            saveImportPanel = new SaveImportPanel();
            FieldService fieldService = Lookup.getDefault().lookup(FieldService.class);
            saveImportPanel.setAvailableFieldProviders(fieldService.getFieldProviders());
        }
        return saveImportPanel; 
    }
    
    @Override
    public HelpCtx getHelp() {
        return new HelpCtx("nl.cloudfarming.client.field.wizard.save_import");
    }

    @Override
    public void readSettings(Object settings) {

    }

    @Override
    public void storeSettings(Object settings) {
        descriptor = (WizardDescriptor) settings;
        descriptor.putProperty(PROP_SELECTED_FIELDPROVIDER, ((SaveImportPanel)getComponent()).getSelectedFieldProvider());
    }

    @Override
    public boolean isValid() {
        return true;
    }

    @Override
    public void addChangeListener(ChangeListener l) {

    }

    @Override
    public void removeChangeListener(ChangeListener l) {

    }
    

}
